Print this page
Code review comments from jeffpc
Split |
Close |
Expand all |
Collapse all |
--- old/usr/src/test/os-tests/tests/secflags/secflags_elfdump.sh
+++ new/usr/src/test/os-tests/tests/secflags/secflags_elfdump.sh
1 1 #! /usr/bin/ksh
2 2 #
3 3 #
4 4 # This file and its contents are supplied under the terms of the
5 5 # Common Development and Distribution License ("CDDL"), version 1.0.
6 6 # You may only use this file in accordance with the terms of version
7 7 # 1.0 of the CDDL.
8 8 #
9 9 # A full copy of the text of the CDDL should have accompanied this
10 10 # source. A copy of the CDDL is also available via the Internet at
11 11 # http://www.illumos.org/license/CDDL.
12 12 #
13 13
14 14 #
15 15 # Copyright 2015, Richard Lowe.
16 16 #
17 17
18 18 mkdir /tmp/secflags-test.$$
19 19 cd /tmp/secflags-test.$$
20 20
21 21 /usr/bin/psecflags -s aslr -e sleep 100000 &
22 22 pid=$!
23 23 coreadm -p core $pid # We need to be able to reliably find the core
24 24
25 25 cleanup() {
26 26 kill $pid >/dev/null 2>&1
27 27 cd /
↓ open down ↓ |
27 lines elided |
↑ open up ↑ |
28 28 rm -fr /tmp/secflags-test.$$
29 29 }
30 30
31 31 trap cleanup EXIT
32 32
33 33 ## gcore-produced core
34 34 gcore $pid >/dev/null
35 35
36 36 cat > gcore-expected.$$ <<EOF
37 37 namesz: 0x5
38 - descsz: 0x14
38 + descsz: 0x28
39 39 type: [ NT_SECFLAGS ]
40 40 name:
41 41 CORE\0
42 42 desc: (prsecflags_t)
43 43 pr_version: 1
44 44 pr_effective: [ ASLR ]
45 45 pr_inherit: [ ASLR ]
46 46 pr_lower: 0
47 47 pr_upper: [ ASLR FORBIDNULLMAP NOEXECSTACK ]
48 48 EOF
49 49
50 50 /usr/bin/elfdump -n core.${pid} | grep -B5 -A5 prsecflags_t > gcore-output.$$
↓ open down ↓ |
2 lines elided |
↑ open up ↑ |
51 51
52 52 if ! diff -u gcore-expected.$$ gcore-output.$$; then
53 53 exit 1;
54 54 fi
55 55
56 56 ## kernel-produced core
57 57 kill -SEGV $pid
58 58
59 59 cat > core-expected.$$ <<EOF
60 60 namesz: 0x5
61 - descsz: 0x14
61 + descsz: 0x28
62 62 type: [ NT_SECFLAGS ]
63 63 name:
64 64 CORE\0
65 65 desc: (prsecflags_t)
66 66 pr_version: 1
67 67 pr_effective: [ ASLR ]
68 68 pr_inherit: [ ASLR ]
69 69 pr_lower: 0
70 70 pr_upper: [ ASLR FORBIDNULLMAP NOEXECSTACK ]
71 71 EOF
72 72
73 73 /usr/bin/elfdump -n core | grep -B5 -A5 prsecflags_t > core-output.$$
74 74
75 75 if ! diff -u core-expected.$$ core-output.$$; then
76 76 exit 1;
77 77 fi
78 78
79 79 exit 0
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX